Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2693)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2696)
@@ -4316,7 +5372,13 @@
                          READ ( 13 )  tmp_surf_h
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_h, tmp_surf_h,            &
-                                              surf_usm_h%start_index )
+                                              surf_usm_h%start_index,          & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #else                      
                       IF ( kk == 1 )  THEN
@@ -4325,7 +5387,13 @@
                          READ ( 13 )  tmp_surf_h
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_h_1, tmp_surf_h,          &
-                                              surf_usm_h%start_index )
+                                              surf_usm_h%start_index,          & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #endif
 
@@ -4337,7 +5405,13 @@
                          READ ( 13 )  tmp_surf_v(0)%t
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_v(0)%t, tmp_surf_v(0)%t,  &
-                                              surf_usm_v(0)%start_index )
+                                              surf_usm_v(0)%start_index,       & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #else                      
                       IF ( kk == 1 )  THEN
@@ -4346,7 +5420,13 @@
                          READ ( 13 )  tmp_surf_v(0)%t
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_v_1(0)%t, tmp_surf_v(0)%t,&
-                                              surf_usm_v(0)%start_index )
+                                              surf_usm_v(0)%start_index,       & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #endif
                          
@@ -4358,7 +5438,13 @@
                          READ ( 13 )  tmp_surf_v(1)%t
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_v(1)%t, tmp_surf_v(1)%t,  &
-                                              surf_usm_v(1)%start_index )                        
+                                              surf_usm_v(1)%start_index,       & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )                 
 #else                      
                       IF ( kk == 1 )  THEN
@@ -4367,7 +5453,13 @@
                          READ ( 13 )  tmp_surf_v(1)%t
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_v_1(1)%t, tmp_surf_v(1)%t,&
-                                              surf_usm_v(1)%start_index )
+                                              surf_usm_v(1)%start_index,       & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #endif
 
@@ -4379,7 +5471,13 @@
                          READ ( 13 )  tmp_surf_v(2)%t
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_v(2)%t, tmp_surf_v(2)%t,  &
-                                              surf_usm_v(2)%start_index )
+                                              surf_usm_v(2)%start_index,       & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #else                      
                       IF ( kk == 1 )  THEN
@@ -4388,7 +5486,13 @@
                          READ ( 13 )  tmp_surf_v(2)%t
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_v_1(2)%t, tmp_surf_v(2)%t,&
-                                              surf_usm_v(2)%start_index ) 
+                                              surf_usm_v(2)%start_index,       & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #endif
                          
@@ -4400,7 +5504,13 @@
                          READ ( 13 )  tmp_surf_v(3)%t
                       ENDIF
-                      CALL restore_surface_elements_usm_1d(                    &
+                      CALL surface_restore_elements(                           &
                                               t_surf_v(3)%t, tmp_surf_v(3)%t,  &
-                                              surf_usm_v(3)%start_index ) 
+                                              surf_usm_v(3)%start_index,       & 
+                                              start_index_on_file,             &
+                                              end_index_on_file,               &
+                                              nxlc, nysc,                      &
+                                              nxlf, nxrf, nysf, nynf,          &
+                                              nys_on_file, nyn_on_file,        &
+                                              nxl_on_file,nxr_on_file )
 #else                      
                       IF ( kk == 1 )  THEN
